import React from 'react';
import Facade from '../Datafacade/datafacade';
import { NavLink } from 'react-router-dom';

class MapBoards extends React.Component {

    constructor(props) {
        super(props)
        this.state = {
            maps: []
        };
    }

    componentWillMount = async () => {
        const maps = await Facade.getAllMapsFromCache();
        this.setState({ maps });
    };

    render() {
        return (
            <React.Fragment>
                <div className="container mm" style={{ marginTop: "85px" }}>
                    <div style={{
                        position: 'absolute', left: '50%', top: '30%'
                    }}>
                        <NavLink to={'/leaderboard/'}>
                          <h3> <strong class="col-lg-1 col-centered" /> leaderboard<br /> </h3> 
                        </NavLink>
                        <br />
                        <br />
                        {this.state.maps.map(e => (
                            <div>
                                <NavLink to={'/map/' + e.mapname + "/" + e.mapstage}>
                                    <strong class="col-lg-1 col-centered" /> Map: {e.mapname}<br />
                                    <strong class="col-lg-1 col-centered" /> Stage: {e.mapstage}<br />
                                    <br />
                                    <br />
                                </NavLink>
                            </div>
                        ))}
                        /</div>
                </div>
            </React.Fragment>
        );
    }

}
export default MapBoards;